<html>

<head>
    <link rel="stylesheet" href="./resources/css/style.css" />
    <title>LINCS XTriples</title>
</head>

<body>
    <header>
        <div class="header-logo">
            <a href="#" class="logo-link">LINCS XTriples</a>
        </div>
        <div class="header-links">
            <ul>
                <li>
                    <a href="https://portal.lincsproject.ca/" class="portal-link">LINCS Portal
                        <svg class="external-link-svg" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) -->
                            <path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"/>
                        </svg>
                    </a>
                </li>
                <li>
                    <a href="https://gitlab.com/calincs" class="portal-link">GitLab
                        <svg class="external-link-svg" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) -->
                            <path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"/>
                        </svg>
                    </a>
                </li>
                <li>
                    <select name="language" id="language" class="language-select">
                        <option value="english">English
                            <img class="links-img" src="../xtriples/resources/images/arrow-down.svg" />
                        </option>
                        <option value="french">French
                            <img class="links-img" src="../xtriples/resources/images/arrow-down.svg" />
                        </option>
                    </select>
                </li>
            </ul>
        </div>
    </header>
    <section class="upload-section">
        <div class="upload-box">
            <img class="main-logo" src="../xtriples/resources/images/logo-lincs.svg" />
            <div class="upload-form-section">
                <h3 class="upload-title">Convert your TEI to CIDOC-CRM</h3>
                <form action="extract.xql" method="post">
                    <div class="upload-file-section">
                        <div class="select-file-box">
                            <div class="select-file-button">
                                <div class="upload-btn-box">
                                    <input class="upload-btn" type="button"
                                        onclick="document.getElementById('fileInput').click()" />
                                    <input id="fileInput" style="display: none;" name="fileInput" type="file"
                                        class="btn btn-inverse" onchange="updateFileName()" />
                                    <label for="fileInput">Upload</label>
                                </div>
                                <div class="upload-file-name">
                                    <img src="./resources/images/check-mark.svg" id="forFileName"
                                        style="display: none" />
                                    <label id="fileName" for="uploadbtn">Accepted file types: .xml</label>
                                </div>
                            </div>
                        </div>
                        <div class="entity-select">
                            <select name="transform" id="transform">
                                <option selected="selected" disabled="disabled" value="default.xsl">Select Entity Type
                                </option>
                                <option value="person-reconciled-in-leaf.xsl">TEI Personography reconciled in LEAF-Writer</option>
                                <option value="places-reconciled-in-leaf.xsl">TEI Placeography reconciled in LEAF-Writer</option>
                                <option value="letter-reconciled-in-leaf.xsl">TEI Letter reconciled in LEAF-Writer</option>
                                <option value="root.xsl">Change &lt;root&gt; element to &lt;LINCS&gt; to test input validity</option>
                            </select>
                            <a href="" class="info-link">
                                <img class="links-img" src="../xtriples/resources/images/info-circle.svg" /></a>
                        </div>

                        <div class="download-radio-btns">
                            <h3 class="download-text">Download file in:</h3>
                            <label class="custom-radio-btn">XML
                                <input type="radio" checked="checked" name="radio" value="none" />
                                <span class="checkmark"></span>
                            </label>
                            <label class="custom-radio-btn">Turtle (TTL)
                                <input type="radio" name="radio" value="turtle" />
                                <span class="checkmark"></span>
                            </label>
                        </div>
                        <div>
                            <a href="javascript:void(0)" class="form-btn-disabled" id="downloadButton"
                                onclick="downloadURI() ;return false">
                                Convert and Download
                            </a>
                        </div>
                        <div class="file-downloaded">
                            <img src="./resources/images/check-mark.svg" id="forFileName" />
                            <p id="fileDownloaded" style="font-size: 14px"></p>
                        </div>
                    </div>
                </form>
                <div class="document-links-box">
                    <ul>
                        <li style="margin-bottom: 5px; font-weight: bold;">Helpful Links</li>
                        <li>
                            <a href="https://portal.stage.lincsproject.ca/docs/tools/xtriples/" class="document-links">Read XTriples Documentation (beta)</a>
                        </li>
                        <li>
                            <a href="https://portal.stage.lincsproject.ca/docs/tools/xtriples/xtriples-documentation#create-cidoc-crm-directly-from-tei-ographies" class="document-links">Preprocess TEI for XTriples (beta)</a>
                        </li>
                        <li>
                            <a href="https://portal.lincsproject.ca/docs/tools/leaf-writer/" class="document-links">Edit TEI and Add URIs in LEAF-Writer</a>
                        </li>
                        <li>
                            <a href="https://portal.lincsproject.ca/docs/create-data/publish-data/" class="document-links">Contribute XTriples Output to LINCS</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </section>
    <footer>
        <h3>
            <a href="https://xtriples.lod.academy/index.html" class="links">Original XTriples Codebase<svg class="external-link-svg" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"/></svg></a> courtesy of Torsten
            Schrade and the Academy of Sciences and Literature, Mainz, Digital Academy.
        </h3>
        <h3>
            <a href="https://portal.lincsproject.ca/docs/about-lincs/tools-credits" class="links">LINCS Tools Credits<svg class="external-link-svg" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"/></svg></a></h3>
    </footer>
    <script src="./index.js"></script>
</body>

</html>